diff -rc orig/bash-1.12/Makefile bash-1.12/Makefile
*** orig/bash-1.12/Makefile	Sat Jan 18 14:43:12 1992
--- bash-1.12/Makefile	Fri Apr 30 21:55:22 1993
***************
*** 10,21 ****
  #
  # If you haven't read README, now might be a good time.
  
! DESTDIR = /usr/gnu/bin
  MAKE    = make
  RM      = rm -f
  SHELL   = /bin/sh
! GAWK     = awk
! # GAWK     = gawk
  
  CPPNAME = /lib/cpp
  CPP     = $(CPPNAME) `$(CPPMAGIC) $(GETCPPSYMS) $(CPPNAME)` -P
--- 10,22 ----
  #
  # If you haven't read README, now might be a good time.
  
! CC      = gcc
! DESTDIR = /bin
  MAKE    = make
  RM      = rm -f
  SHELL   = /bin/sh
! # GAWK     = awk
! GAWK     = gawk
  
  CPPNAME = /lib/cpp
  CPP     = $(CPPNAME) `$(CPPMAGIC) $(GETCPPSYMS) $(CPPNAME)` -P
diff -rc orig/bash-1.12/builtins/getopt.c bash-1.12/builtins/getopt.c
*** orig/bash-1.12/builtins/getopt.c	Sat Jan 18 14:51:50 1992
--- bash-1.12/builtins/getopt.c	Sat May  1 15:41:01 1993
***************
*** 272,278 ****
  int
  getopt (argc, argv, optstring)
       int argc;
!      char **argv;
       CONST char *optstring;
  {
    optarg = 0;
--- 272,278 ----
  int
  getopt (argc, argv, optstring)
       int argc;
!      char * CONST *argv;
       CONST char *optstring;
  {
    optarg = 0;
diff -rc orig/bash-1.12/builtins/getopt.h bash-1.12/builtins/getopt.h
*** orig/bash-1.12/builtins/getopt.h	Sun Jul  7 15:02:45 1991
--- bash-1.12/builtins/getopt.h	Sat May  1 15:41:27 1993
***************
*** 92,98 ****
  extern int option_index;
  
  #ifdef __STDC__
! int getopt (int argc, char **argv, const char *shortopts);
  int getopt_long (int argc, char **argv, const char *shortopts,
  		 const struct option *longopts, int *longind);
  int getopt_long_only (int argc, char **argv, const char *shortopts,
--- 92,98 ----
  extern int option_index;
  
  #ifdef __STDC__
! int getopt (int argc, char * const *argv, const char *shortopts);
  int getopt_long (int argc, char **argv, const char *shortopts,
  		 const struct option *longopts, int *longind);
  int getopt_long_only (int argc, char **argv, const char *shortopts,
diff -rc orig/bash-1.12/cpp-Makefile bash-1.12/cpp-Makefile
*** orig/bash-1.12/cpp-Makefile	Sat Jan 25 21:16:31 1992
--- bash-1.12/cpp-Makefile	Sat May  1 15:41:45 1993
***************
*** 192,199 ****
  SYSTEM_FLAGS = $(LINEBUF) $(VPRINTF) $(UNISTD) $(GROUPS) $(RESOURCE) \
         $(SIGHANDLER) $(SYSDEP) $(WAITH) $(GETWD) $(DUP2) $(STRERROR) \
         -D$(MACHINE) -D$(OS)
! DEBUG_FLAGS = $(PROFILE_FLAGS) -g
! LDFLAGS	= $(NOSHARE) $(SYSDEP_LD) $(EXTRA_LD_PATH) $(DEBUG_FLAGS)
  CFLAGS	= $(DEBUG_FLAGS) $(SYSTEM_FLAGS) -DSHELL $(ALLOCA_CFLAGS)
  CPPFLAGS= -I$(LIBSRC)
  
--- 192,199 ----
  SYSTEM_FLAGS = $(LINEBUF) $(VPRINTF) $(UNISTD) $(GROUPS) $(RESOURCE) \
         $(SIGHANDLER) $(SYSDEP) $(WAITH) $(GETWD) $(DUP2) $(STRERROR) \
         -D$(MACHINE) -D$(OS)
! DEBUG_FLAGS = $(PROFILE_FLAGS) -O2
! LDFLAGS	= -static $(NOSHARE) $(SYSDEP_LD) $(EXTRA_LD_PATH) $(DEBUG_FLAGS)
  CFLAGS	= $(DEBUG_FLAGS) $(SYSTEM_FLAGS) -DSHELL $(ALLOCA_CFLAGS)
  CPPFLAGS= -I$(LIBSRC)
  
***************
*** 253,259 ****
  #endif /* NotYet */
  
  /**/# The default primary and secondary prompts.
! PPROMPT = '"${PROGRAM}\\$$ "'
  SPROMPT = '"> "'
  
  #if defined (MAINTAINER)
--- 253,259 ----
  #endif /* NotYet */
  
  /**/# The default primary and secondary prompts.
! PPROMPT = '"\\$$ "'
  SPROMPT = '"> "'
  
  #if defined (MAINTAINER)
diff -rc orig/bash-1.12/jobs.c bash-1.12/jobs.c
*** orig/bash-1.12/jobs.c	Fri Jan 17 16:36:11 1992
--- bash-1.12/jobs.c	Sat May  1 15:00:03 1993
***************
*** 104,110 ****
--- 104,112 ----
  extern int errno;
  extern int interactive, asynchronous_notification;
  extern char *shell_name;
+ #ifndef __linux__
  extern char *sys_siglist[];
+ #endif
  
  /* The array of known jobs. */
  JOB **jobs = (JOB **)NULL;
***************
*** 1251,1256 ****
--- 1253,1263 ----
        sigset_t set;
  
        sigemptyset (&set);
+       if (!interactive)
+ 	{
+ 	  sigaddset(&set, SIGINT);	
+ 	  sigaddset(&set, SIGQUIT);	
+ 	}
        sigsuspend (&set);
  #else /* SCO Unix */
        struct sigaction act, oact;
diff -rc orig/bash-1.12/machines.h bash-1.12/machines.h
*** orig/bash-1.12/machines.h	Fri Jan 17 16:42:24 1992
--- bash-1.12/machines.h	Sat May  1 15:49:29 1993
***************
*** 362,367 ****
--- 362,399 ----
  
  /* **************************************************************** */
  /*                                                                  */
+ /*                       Linus Torvald's Linux                      */
+ /*                                                                  */
+ /* **************************************************************** */
+ 
+ /* i386 class machine running Linux 0.99.9 */
+ #  if !defined (done386) && defined (__linux__)
+ #    define done386
+ #    define M_MACHINE "i386"
+ #    define M_OS Linux
+ #    define HAVE_GCC
+ #    define HAVE_FIXED_INCLUDES
+ #    define REQUIRED_LIBRARIES
+ #    define HAVE_SYS_SIGLIST
+ #    undef USE_GNU_MALLOC
+ #    define HAVE_GETWD
+ #    define HAVE_SETLINEBUF
+ #    define HAVE_VPRINTF
+ #    define HAVE_GETGROUPS
+ #    define SYSDEP_CFLAGS -DSTDC_HEADERS -D__USE_BSD_SIGNAL
+ #    define SYSDEP_LDFLAGS
+ #    define HAVE_STRERROR
+ #    define VOID_SIGHANDLER
+ #    define SEARCH_LIB_NEEDS_SPACE
+ #    define HAVE_RESOURCE
+ #    define HAVE_GETCWD
+ #    define HAVE_WAIT_H
+ #    define HAVE_UNISTD_H
+ #    define HAVE_DUP2
+ #  endif /* __linux__ */
+ 
+ /* **************************************************************** */
+ /*                                                                  */
  /*                       Sequent Machines                           */
  /*                                                                  */
  /* **************************************************************** */
diff -rc orig/bash-1.12/nojobs.c bash-1.12/nojobs.c
*** orig/bash-1.12/nojobs.c	Mon Jan 20 23:27:03 1992
--- bash-1.12/nojobs.c	Fri Apr 30 21:37:08 1993
***************
*** 54,60 ****
  #  define siginterrupt(sig, code)
  #endif /* USG */
  
! #if defned (_POSIX_VERSION)
  #  define WAITPID(pid, statusp, options) waitpid (pid, statusp, options)
  #else
  #  define WAITPID(pid, statusp, options) wait (statusp)
--- 54,60 ----
  #  define siginterrupt(sig, code)
  #endif /* USG */
  
! #if defined (_POSIX_VERSION)
  #  define WAITPID(pid, statusp, options) waitpid (pid, statusp, options)
  #else
  #  define WAITPID(pid, statusp, options) wait (statusp)
diff -rc orig/bash-1.12/support/getcppsyms.c bash-1.12/support/getcppsyms.c
*** orig/bash-1.12/support/getcppsyms.c	Thu Jan  9 03:33:05 1992
--- bash-1.12/support/getcppsyms.c	Fri Apr 30 21:55:07 1993
***************
*** 8,13 ****
--- 8,16 ----
  #include <stdio.h>
  main ()
  {
+ #if defined (__linux__)
+   printf (" -D__linux__");
+ #endif /* __linux__ */
  #if defined (CMU)
    printf (" -DCMU");
  #endif /* CMU */
